Skip to main content
PATCH
/
b2b
/
notification-settings
/
{settingId}
curl --request PATCH \
  --url https://{host}/b2b/notification-settings/{settingId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-user-id: <x-user-id>' \
  --data '{
  "active": true
}'
{
  "app": [
    {
      "category": "Activity",
      "notifications": [
        {
          "id": "app_transactional",
          "name": "Transactional notifications",
          "description": "Buys, sells, deposits, dividends, etc",
          "active": true
        }
      ]
    },
    {
      "category": "Market insights",
      "notifications": [
        {
          "id": "app_learning_guide",
          "name": "Learning guides",
          "description": "Updates for new educational guides",
          "active": true
        },
        {
          "id": "app_analyst_insight",
          "name": "Analysis",
          "description": "Investment ideas, research, insights",
          "active": false
        },
        {
          "id": "app_quick_take",
          "name": "Quick takes",
          "description": "Bit-sized insights to start your day",
          "active": true
        },
        {
          "id": "app_daily_recap",
          "name": "Morning Update",
          "description": "Portfolio summary & news digest",
          "active": true
        },
        {
          "id": "app_weekly_review",
          "name": "Weekly reviews",
          "description": "A weekly summary of market news",
          "active": false
        }
      ]
    },
    {
      "category": "Offers",
      "notifications": [
        {
          "id": "app_promotional",
          "name": "Promos & special offers",
          "description": "Free shares, rewards & gifts",
          "active": false
        }
      ]
    }
  ],
  "email": [
    {
      "category": "Activity",
      "notifications": [
        {
          "id": "email_transactional",
          "name": "Transactional emails",
          "description": "Updates on your account & activity",
          "active": true
        }
      ]
    },
    {
      "category": "Newsletters",
      "notifications": [
        {
          "id": "email_wealthybites",
          "name": "Wealthybites",
          "description": "Weekly summary of your portfolio, news & highlights",
          "active": true
        }
      ]
    },
    {
      "category": "Offers",
      "notifications": [
        {
          "id": "email_promotional",
          "name": "Promos & special offers",
          "description": "Free shares, rewards & gifts",
          "active": false
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Auth0-issued access token that includes the scopes listed for the endpoint.

Headers

x-user-id
string
required

MongoDB identifier of the user whose notification settings are being accessed or modified.

Pattern: ^[a-f0-9]{24}$
Example:

"507f1f77bcf86cd799439011"

Path Parameters

settingId
enum<string>
required

Identifier of the notification setting to update. Must be one of the valid notification setting IDs.

Available options:
app_transactional,
app_learning_guide,
app_analyst_insight,
app_quick_take,
app_weekly_review,
app_daily_recap,
app_promotional,
email_transactional,
email_promotional,
email_wealthybites
Example:

"app_transactional"

Body

application/json
active
boolean
required

New active status for the notification setting

Example:

true

Response

Notification setting updated successfully. Returns complete notification settings object.

Complete notification settings for a user, organized by notification type (app/email) and category. Both app and email are optional in the schema for flexibility, but in practice they will always be present since notification settings are created during user creation. Category names, notification names, and descriptions are localised based on the user's language preference.

app
object[]

Array of app notification categories

email
object[]

Array of email notification categories